Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.developmentontheedge.jobcontrol
Class JobControlEvent

    java.lang.Object
      com.developmentontheedge.jobcontrol.JobControlEvent

public class JobControlEvent
extends java.lang.Object

An event which indicates that a action occurred in JobControl. This event is used for listeners of JobControl.

See Also:
  `JobControlListener`, `JobControl`

Field Summary
`protected JobControl` | `jobControl`
`protected java.lang.String` | `message`
`protected int` | `value`

Constructor Summary
`JobControlEvent(JobControl jobControl)` Constructs JobControlEvent with specified jobControl
`JobControlEvent(JobControl jobControl, java.lang.String message)` Constructs JobControlEvent with specified jobControl and message
`JobControlEvent(java.lang.String msg)` Constructs JobControlEvent with specified message

Method Summary
`JobControl` | `getJobControl()` Gets connected with this event JobControl
`java.lang.String` | `getMessage()` Gets message corresponded with this event
`int` | `getPreparedness()` Returns preparedness of job
`int` | `getStatus()` Gets status of job corresponded with this event

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jobControl

    protected JobControl jobControl

### value

    protected int value

### message

    protected java.lang.String message

Constructor Detail

### JobControlEvent

    public JobControlEvent(JobControl jobControl,
                           java.lang.String message)

  Constructs JobControlEvent with specified jobControl and message

Parameters:
  `jobControl` - specified jobControl
  `message` - specified message

### JobControlEvent

    public JobControlEvent(JobControl jobControl)

  Constructs JobControlEvent with specified jobControl

Parameters:
  `jobControl` - specified jobControl

### JobControlEvent

    public JobControlEvent(java.lang.String msg)

  Constructs JobControlEvent with specified message

Parameters:
  `msg` - specified message

Method Detail

### getJobControl

    public JobControl getJobControl()

  Gets connected with this event JobControl

  Returns:
    connected with this event JobControl

### getPreparedness

    public int getPreparedness()

  Returns preparedness of job

  Returns:
    percent of preparedness

### getMessage

    public java.lang.String getMessage()

  Gets message corresponded with this event

  Returns:
    message corresponded with this event

### getStatus

    public int getStatus()

  Gets status of job corresponded with this event

  Returns:
    status of job corresponded with this event

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.